﻿using System;
using System.Collections.Generic;

namespace EVCB_OCPP.Domain.Models.MainDb;

public partial class Customer
{
    public Customer()
    {
        Id = Guid.NewGuid();
    }

    public Guid Id { get; set; }

    public string Name { get; set; }

    public DateTime CreatedOn { get; set; }

    public string CreatedBy { get; set; }

    public DateTime? Deadline { get; set; }

    public DateTime? UpdatedOn { get; set; }

    public string UpdatedBy { get; set; }

    public string ApiUrl { get; set; }

    public string ApiKey { get; set; }

    public DateTime? ApiKeyUpdatedOn { get; set; }

    public string PartnerId { get; set; }

    public string ApiCustomerId { get; set; }

    public bool CallPartnerApiOnSchedule { get; set; }

    public bool IsShow { get; set; }

    public string Ftppath { get; set; }

    public string Ftphost { get; set; }

    public string Ftpuser { get; set; }

    public string Ftppassword { get; set; }

    public bool EnableTtia { get; set; }

    public string TtiaEquipmentProvider { get; set; }

    public int TtiaCustomerId { get; set; }

    public string TtiaApiurl { get; set; }

    public string TtiaApikey { get; set; }

    public bool InstantStopTxReport { get; set; }

    public virtual ICollection<Machine> Machines { get; set; } = new List<Machine>();
}
