﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.MailService
{
    public class MailRequest
    {
        public int Id { set; get; }
      
        /// <summary>
        /// 寄件人
        /// </summary>
        public string Sender { set; get; }

        /// <summary>
        /// 收件人
        /// </summary>
        public string Receivers { set; get; }

        /// <summary>
        /// 寄件內容
        /// </summary>
        public string Content { set; get; }

        /// <summary>
        /// 備註
        /// </summary>
        public string Comment { set; get; }

        /// <summary>
        /// 送出否
        /// </summary>
        public bool IsSent { set; get; }

        /// <summary>
        /// CreatedOn
        /// </summary>
        public DateTime CreatedOn { set; get; }

        /// <summary>
        /// SentOn
        /// </summary>
        public DateTime SentOn { set; get; }




    }
}
