﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum BatteryType
    {
        /// <summary>
        /// 鉛酸電池
        /// </summary>
        LeadAcid=1,
        /// <summary>
        /// 
        /// </s鎳氫電池ummary>
        NiMH,
        /// <summary>
        /// 磷酸鐵鋰電池
        /// </summary>
        LFP,
        /// <summary>
        /// 錳酸鋰電池
        /// </summary>
        LithiumManganeseOxide,
        /// <summary>
        /// 鈷酸鋰電池
        /// </summary>
        LithiumCobaltOxide,
        /// <summary>
        /// 三元次料電池
        /// </summary>
        TernaryMaterial,
        /// <summary>
        /// 聚合物鋰離子電池
        /// </summary>
        Li_Po,
        /// <summary>
        /// 鈦酸鋰電池
        /// </summary>
        LithiumTitanate,
        /// <summary>
        /// 其他電池
        /// </summary>
        Other

    }
}
