﻿using EVCB_OCPP.Packet.Utilities;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public class IdTagInfo
    {
      
        [JsonConverter(typeof(UTCDateTimeConverter))]
        public DateTime? expiryDate { set; get; }

        [MaxLength(20)]
        public string parentIdTag { set; get; }

        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public AuthorizationStatus status { set; get; }
    }
}
