﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum GetDisplayMessagesStatusEnumType
    {
        /// <summary>
        ///  Request accepted, there are Display Messages found that match all the requested criteria. The Charging
        ///Station will send NotifyDisplayMessagesRequest messages to report the requested Display Messages.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  No messages found that match the given criteria.
        /// </summary>
        Unknown
    }
}
