﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum SetMonitoringStatusEnumType
    {
        /// <summary>
        /// Monitor successfully set.
        /// </summary>
        Accepted = 1,
        /// <summary>
        /// Component is not known.
        /// </summary>
        UnknownComponent,
        /// <summary>
        /// Variable is not known.
        /// </summary>
        UnknownVariable,
        /// <summary>
        /// Requested monitor type is not supported.
        /// </summary>
        UnsupportedMonitorType,
        /// <summary>
        /// Request is rejected.
        /// </summary>
        Rejected,
        /// <summary>
        ///  A value in the monitor is out of range.
        /// </summary>
        OutOfRange,
        /// <summary>
        ///  A monitor already exists for the given type/severity combination.
        /// </summary>
        Duplicate
    }
}
