﻿using EVCB_OCPP.Packet20.DataTypes;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace EVCB_OCPP.Packet20.Messages
{
    public class AuthorizeRequest
    {
        /// <summary>
        /// This contains the identifier that needs to be
        /// authorized.
        /// </summary>
        [Required]
        public IdTokenType IdToken { set; get; }


        /// <summary>
        /// Contains the information needed to verify the
        /// EV Contract Certificate via OCSP.
        /// </summary>
        public List<OCSPRequestDataType> Iso15118CertificateHashData { set; get; }




    }
}
