﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class ClearedChargingLimitRequest
    {
        /// <summary>
        /// Source of the charging limit.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public ChargingLimitSourceEnumType ChargingLimitSource { set; get; }

        /// <summary>
        /// EVSE Identifier.
        /// </summary>
        public int EvseId { set; get; }
    }
}
