﻿using EVCB_OCPP.Packet20.DataTypes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
   public class SetNetworkProfileRequest
    {
        /// <summary>
        /// Slot in which the configuration should be
       /// stored.
                /// </summary>
        [Required]
        public int ConfigurationSlot { set; get; }

        /// <summary>
        /// Connection details.
        /// </summary>
        [Required]
        public NetworkConnectionProfileType ConnectionData { set; get; }
    }
}
