﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum UnlockStatus
    {
        /// <summary>
        /// Connector has successfully been unlocked.
        /// </summary>
        Unlocked=1,
        /// <summary>
        /// Failed to unlock the connector.
        /// </summary>
        UnlockFailed,
        /// <summary>
        /// Charge Point has no connector lock.
        /// </summary>
        NotSupported
    }
}
