﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class ChargingLimitType
    {
        /// <summary>
        /// Represents the source of the charging limit.
        /// </summary>
        [JsonConverter(typeof(StringEnumConverter))]
        [Required]
        public ChargingLimitSourceEnumType ChargingLimitSource { set; get; }

        /// <summary>
        /// Indicates whether the charging limit is critical for the grid.
        /// </summary>
        public bool? IsGridCritical { set; get; }
    }
}
