﻿using EVCB_OCPP.Packet20.Messages;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Features.Core
{
    public class BootNotificationFeature : Feature
    {
        public override string GetAction()
        {
            return Actions.BootNotification.ToString();
        }

        public override Type GetConfirmationType()
        {
            return typeof(BootNotificationResponse);
        }

        public override Type GetRequestType()
        {
            return typeof(BootNotificationRequest);
        }
    }
}
