﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class RequestStopTransactionRequest
    {
        /// <summary>
        /// The identifier of the transaction which the
        ///Charging Station is requested to stop
        /// </summary>
        [Required]
        [StringLength(36,MinimumLength =0)]
        public string TransactionId { set; get; }
    }
}
