﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class ResetResponse
    {
        /// <summary>
        /// This indicates whether the Charging Station is
        /// able to perform the reset.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public ResetStatusEnumType Status { set; get; }
    }
}
