﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class UnpublishFirmwareRequest
    {
        /// <summary>
        /// The MD5 checksum over the entire firmware
        ///file as a hexadecimal string of length 32
        /// </summary>
        [Required]
        [StringLength(32,MinimumLength =0)]
        public string checksum { set; get; }
    }
}
